package alx.p40_io;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

/*
  InputStream - ogólna klasa opisująca "jakieś" źródło danych, np. plik, albo połączenie sieciowe itd.
  FileInputStream - konkretnie otwarty plik 
 */

public class Czytaj1 {

	public static void main(String[] args) {
		try {
			//FileInputStream in = new FileInputStream("plik.txt");
			InputStream in = new FileInputStream("plik.txt");
			System.out.println("Kolejne bajty:");
			while(true) {
				int bajt = in.read(); // wynik od 0 do 255: normalne dane, -1: koniec wejścia
				if(bajt == -1)
					break;
				System.out.println(bajt);
			}
			System.out.println("Koniec");
			in.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
